package dev.fitko.fitconnect.api.domain.model.metadata;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Metadata {

    @JsonProperty("contentStructure")
    private ContentStructure contentStructure;

    @JsonProperty("publicServiceType")
    private PublicServiceType publicServiceType;

    @JsonProperty("authenticationInformation")
    private List<AuthenticationInformation> authenticationInformation;

    @JsonProperty("additionalReferenceInfo")
    private AdditionalReferenceInfo additionalReferenceInfo;

    @JsonIgnore
    private Map<String, Object> additionalProperties;
}
