package dev.fitko.fitconnect.core.util;

public final class Strings {

    private Strings() {
    }

    /**
     * Tests a given string on null or empty
     * @param s string to test
     * @return true if the string is null OR empty, false if both conditions do not apply
     */
    public static boolean isNullOrEmpty(final String s) {
        return s == null || s.isEmpty();
    }

    /**
     * Tests a given string on not null and not empty
     * @param s string to test
     * @return true if the string is not null AND not empty, false if one condition does not apply
     */
    public static boolean isNotNullOrEmpty(final String s) {
        return !isNullOrEmpty(s);
    }

}
